For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The PaymentTerm object
          • GET/payment-terms
          • GET/payment-terms/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsPayment Terms

/payment-terms/{id}

Beta
GET
/accounting/v1/payment-terms/:id
GET
/api/accounting/v1/payment-terms/:id
$curl -G https://api.merge.dev/api/accounting/v1/payment-terms/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=company
200Retrieved
1{
2 "name": "Net 30",
3 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
4 "remote_id": "088899",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "is_active": true,
8 "company": "d2f972d0-2526-434b-9409-4c3b468e08f0",
9 "days_until_due": 30,
10 "discount_days": 15,
11 "remote_last_modified_at": "2024-10-16T00:00:00Z",
12 "field_mappings": {
13 "organization_defined_targets": {
14 "custom_key": "custom_value"
15 },
16 "linked_account_defined_targets": {
17 "custom_key": "custom_value"
18 }
19 },
20 "remote_data": [
21 {
22 "path": "/actions",
23 "data": null
24 }
25 ]
26}

Returns a PaymentTerm object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/payment-terms

Next

The Payment object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

namestring<=255 characters
The name of the payment term.
idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
is_activeboolean

True if the payment term is active, False if not.

companystring or nullformat: "uuid"
The subsidiary that the payment term belongs to.
days_until_dueinteger or null-2147483648-2147483647
The number of days after the invoice date that payment is due.
discount_daysinteger or null-2147483648-2147483647
The number of days the invoice must be paid before discounts expire.
remote_last_modified_atdatetime or null
When the third party's payment term was modified.
field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only